commit bfafbe719bff868ac7bf04e8bcf32a061f08ccc4
Author: freddy77 <freddy77>
Date:   Sat Jun 26 07:19:54 2010 +0000

    reuse CheckCursor

diff --git a/ChangeLog b/ChangeLog
index ff11d5a..271cb6d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jun 26 09:19:45 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/cursor2.c: reuse CheckCursor
+
 Sun Jun 20 14:19:31 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/test-dist.sh: fix test script due to 2 distribution files
 
@@ -2491,4 +2494,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3034 2010/06/20 12:19:41 freddy77 Exp $
+$Id: ChangeLog,v 1.3035 2010/06/26 07:19:54 freddy77 Exp $
diff --git a/src/odbc/unittests/cursor2.c b/src/odbc/unittests/cursor2.c
index 8a9cd6c..28cc035 100644
--- a/src/odbc/unittests/cursor2.c
+++ b/src/odbc/unittests/cursor2.c
@@ -2,7 +2,7 @@
 
 /* Test cursor do not give error for statement that do not return rows  */
 
-static char software_version[] = "$Id: cursor2.c,v 1.6 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: cursor2.c,v 1.7 2010/06/26 07:19:54 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -16,19 +16,10 @@ main(int argc, char *argv[])
 
 	Command("CREATE TABLE #cursor2_test (i INT)");
 
-	retcode = SQLSetConnectAttr(Connection, SQL_ATTR_CURSOR_TYPE,  (SQLPOINTER) SQL_CURSOR_DYNAMIC, SQL_IS_INTEGER);
-	if (retcode != SQL_SUCCESS) {
-		CHKGetDiagRec(SQL_HANDLE_DBC, Connection, 1, sqlstate, NULL, (SQLCHAR *) msg, sizeof(msg), NULL, "S");
-		sqlstate[5] = 0;
-		if (strcmp((const char*) sqlstate, "S1092") == 0) {
-			printf("Your connection seems to not support cursors, probably you are using wrong protocol version or Sybase\n");
-			Disconnect();
-			exit(0);
-		}
-		ODBC_REPORT_ERROR("SQLSetConnectAttr");
-	}
+	CheckCursor();
 
 	ResetStatement();
+	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, SQL_IS_INTEGER, "S");
 
 	/* this should not fail or return warnings */
 	Command("DROP TABLE #cursor2_test");

